Abrir sesión
logo

DEFENSA FRENTE A LAS CIBERAMENAZAS

barra-separadora

Boletines de Vulnerabilidades


Cross-Site Scripting en b2evolution

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Aumento de la visibilidad
Dificultad Avanzado
Requerimientos del atacante Acceso remoto sin cuenta a un servicio estandar

Información sobre el sistema

Propiedad Valor
Fabricante afectado GNU/Linux
Software afectado b2evolution 1.8.6

Descripción

Se ha descubierto una vulnerabilidad de tipo Cross-Site Scripting en b2evolution 1.8.6. La vulnerabilidad reside en un error en la validación de la entrada del parámetro "redirect_to" en el fichero "htsrv/login.php".

Un atacante remoto podría inyectar código javaScript o HTML mediante una entrada especialmente diseñada al parámetro "redirect_to".

Solución



Actualización de software

Debian (DSA-1568-1)

Debian Linux 4.0
Source
http://security.debian.org/pool/updates/main/b/b2evolution/b2evolution_0.9.2-3+etch1.diff.gz
http://security.debian.org/pool/updates/main/b/b2evolution/b2evolution_0.9.2.orig.tar.gz
http://security.debian.org/pool/updates/main/b/b2evolution/b2evolution_0.9.2-3+etch1.dsc
Arquitectura independiente
http://security.debian.org/pool/updates/main/b/b2evolution/b2evolution_0.9.2-3+etch1_all.deb

Identificadores estándar

Propiedad Valor
CVE CVE-2007-0175
BID 21953

Recursos adicionales

Debian Security Advisory (DSA-1568-1)
http://lists.debian.org/debian-security-announce/2008/msg00142.html

Histórico de versiones

Versión Comentario Fecha
1.0 Aviso emitido 2008-05-08
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración